#!/usr/bin/env bash
#
merge_request_comment=$1

if [ -z "$merge_request_comment" ]
then
    echo "请对此次Merge Request操作编写相关描述\n"
    exit
fi
current_branch=$(git branch | grep '*' | awk '{print $2}')

merge_temp_branch=$current_branch"_merge"

git checkout master && git pull origin master && git checkout -b $merge_temp_branch && git merge --squash $current_branch && git commit -m $merge_request_comment && git push origin $merge_temp_branch && git checkout $current_branch && git branch -D $merge_temp_branch

if [ $? -ne 0 ]
then
    echo "***************************"
    echo "合并失败，请处理后自行处理"
    echo "***************************"
    exit
else
    echo "===================================="
    echo "合并成功，请移步GitLab平台继续操作～"
    echo "===================================="
fi
